Postman 3.0.0

Applies to ReadyAPI 3.51, last modified on March 21, 2024

Some specific issues addressed in version 3.0.0, which were not functioning correctly in the previous plugin version, include:

  • Correct import of SOAP API collections.
  • Updated version check for collections.
  • GraphQL API imports as APIs with the creation of GraphQL API and test steps if tests are defined for requests.
  • Proper mapping of form data.
  • Display of custom and regular headers in the headers tab.
  • Import of assertions written with old syntax, with plans to extend support for the new syntax.
  • Clear indication of unsupported types of requests in error logs for users.
  • Upgraded ReadyAPI modules dependencies in the plugin from version 3.5.0 to 3.49.0.
  • Plugin upgrade to Java 17.0.7 and JUnit to v5.

Upcoming plans include adding support for assertions written with the new syntax, starting with those written in the Chai Library. This feature will be available soon.

See Also

Integrations
Managing Integrations

Highlight search results